using SumaTube.Infra.MongoDB.Documents;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SumaTube.Infra.Contracts.Repositories.UserPlan
{
    public interface IPersonUserRepository
    {
        Task<PersonUserDocument> GetByIdAsync(string id);
        Task<PersonUserDocument> GetByEmailAsync(string email);
        Task<IEnumerable<PersonUserDocument>> GetAllAsync();
        Task CreateAsync(PersonUserDocument PersonUserDocument);
        Task UpdateAsync(PersonUserDocument PersonUserDocument);
        Task DeleteAsync(string id);
    }
}
